curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/onchain-quotes \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/onchain-quotes"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/onchain-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "XQAAAAAAAAAAA3",
"status": "offered",
"expires_at": "2026-04-23T16:20:30Z",
"from": {
"symbol": "USDC",
"name": "USD Coin",
"type": "stablecoin",
"amount": "1853.40"
},
"to": {
"symbol": "TSLAx",
"name": "Tesla xStock",
"type": "xstock",
"amount": "10"
}
},
{
"id": "XQAAAAAAAAAAA2",
"status": "executed",
"expires_at": "2026-04-23T16:10:30Z",
"from": {
"symbol": "TSLAx",
"name": "Tesla xStock",
"type": "xstock",
"amount": "10"
},
"to": {
"symbol": "USDC",
"name": "USD Coin",
"type": "stablecoin",
"amount": "1853.40"
}
},
{
"id": "XQAAAAAAAAAAA1",
"status": "expired",
"expires_at": "2026-04-23T16:00:30Z",
"from": {
"symbol": "USDC",
"name": "USD Coin",
"type": "stablecoin",
"amount": "1853.40"
},
"to": {
"symbol": "TSLAx",
"name": "Tesla xStock",
"type": "xstock",
"amount": "10"
}
}
],
"next_page_token": "AAZUbz9WQAAAAAAAACrUqPGCRjzHZvqDr8PUyYwbx41j4AuH"
}{
"type": "tag:kraken.com,2025:BadRequest",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"type": "tag:kraken.com,2025:Unauthenticated",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"type": "tag:kraken.com,2025:Forbidden",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"type": "tag:kraken.com,2025:NotFound",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"type": "tag:kraken.com,2025:ResourceExhausted",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"type": "tag:kraken.com,2025:Unimplemented",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}{
"type": "tag:kraken.com,2025:DeadlineExceeded",
"status": 1,
"title": "<string>",
"data": "<unknown>",
"source": "Gateway",
"detail": "<string>",
"instance": "<string>"
}List on-chain quotes
Lists onchain quotes for the authenticated user.
Authorizations
Your public API key. Identifies the partner making the request.
Monotonically increasing nonce included in the request signature.
HMAC signature over the request, computed with your private key.
Path Parameters
ID of the account the request applies to. This refers to one of the accounts held by the user the request is acting on behalf of (typically the user's main account, but any of the user's accounts is accepted). Routes the request to that specific account container. Canonical identifier for an account in the Payward public API.
14 - 42Query Parameters
Opaque page token returned by a previous response's next_page_token. Omit to start from the beginning.
1 - 256Maximum number of onchain quotes to return. Defaults to 50 if omitted. Maximum 200.
1 <= x <= 25